From: Daniel Leidert <dleidert@debian.org>
Date: Mon, 12 Oct 2020 16:29:59 +0200
Subject: Makefile for Debian

To fix an FTCBFS pkg-config needs to be substitutible. Thanks to
Helmut Grohne <helmut@subdivi.de> for the fix.

Bug-Debian: https://bugs.debian.org/713649
Bug-Debian: https://bugs.debian.org/883868
Forwarded: not-needed
---
 makefile.debian | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 makefile.debian

diff --git a/makefile.debian b/makefile.debian
new file mode 100644
index 0000000..bc5554f
--- /dev/null
+++ b/makefile.debian
@@ -0,0 +1,20 @@
+PKG_CONFIG ?= pkg-config
+CFLAGS ?= -g -Wall -O2
+
+override CFLAGS += `$(PKG_CONFIG) --cflags gtk+-2.0 gthread-2.0 gtkglext-1.0 gmodule-2.0`
+override LDLIBS += `$(PKG_CONFIG) --libs gtk+-2.0 gthread-2.0 gtkglext-1.0 gmodule-2.0` -lm
+
+USE_GUI = YES
+override CFLAGS += -DWITH_GUI
+USE_GRISU = NO
+override CFLAGS += -UWITH_GRISU
+
+include makefile.src
+
+OBJ = $(SRC:.c=.o)
+
+gdis: $(OBJ)
+	$(CC) $^ $(LDFLAGS) -o $@ $(LDLIBS)
+
+clean:
+	$(RM) $(OBJ) gdis
